/*
RF24 test transmitter
*/

#include <SPI.h>
#include "nRF24L01.h"
#include "RF24.h"
int joystick[2];
int vibrationPin = A2;   

RF24 radio(7,8);


//byte addresses[][6] = {"8Node","8Node"};
byte addresses[][6] = {"3Node","3Node"};
//byte addresses[][6] = {"7Node","7Node"};
//const uint64_t pipe = 0xE8E8F0F0E1LL;


#include <Servo.h> 
Servo servoT; 
Servo servoB; 


#define PS2_DATA 2
#define PS2_CLK 3


void setup() {
  

  Serial.begin(9600);
 
//RF stuff  // RF24 test transmitter     
 radio.begin();
radio.setAutoAck(1); 
radio.setRetries(0,15);                 // Smallest time between retries, max no. of retries

 radio.openReadingPipe( 1,addresses[0]);
 

radio.startListening();
radio.powerUp();
radio.printDetails(); 
  
  
  

  //Serial.println("Start");
  
// servo
servoT.attach(A1);  // attaches the servo on pin 9 to the servo object 
servoB.attach(A0);  // attaches the servo on pin 9 to the servo object 

 
 
 
  for(int pos = 30; pos>=15; pos-=1)     // goes from 180 degrees to 0 degrees 
  {                                
    servoB.write(pos);              // tell servo to go to position in variable 'pos' 
    delay(15);                       // waits 15ms for the servo to reach the position 
  } 
  
  
//move servo // top server closer to the FTDI
  for(int pos = 80; pos <= 100; pos += 1) // goes from 0 degrees to 180 degrees 
  {                                  // in steps of 1 degree 
    servoT.write(pos);              // tell servo to go to position in variable 'pos' 
    delay(15);                       // waits 15ms for the servo to reach the position 
  } 
  for(int pos = 100; pos>=80; pos-=1)     // goes from 180 degrees to 0 degrees 
  {                                
    servoT.write(pos);              // tell servo to go to position in variable 'pos' 
    delay(15);                       // waits 15ms for the servo to reach the position 
  } 
  for(int pos = 80; pos <= 90; pos += 1) // goes from 0 degrees to 180 degrees 
  {                                  // in steps of 1 degree 
    servoT.write(pos);              // tell servo to go to position in variable 'pos' 
    delay(15);                       // waits 15ms for the servo to reach the position 
  } 
  

pinMode(vibrationPin, OUTPUT);


                digitalWrite(vibrationPin, HIGH); 
                delay(300);
                digitalWrite(vibrationPin, LOW); 
                delay(50);
                
                
                digitalWrite(vibrationPin, HIGH); 
                delay(300);
                digitalWrite(vibrationPin, LOW);                 
                
  
}


void loop() {

              //debug 
              //Serial.println(joystick[0]);
              //delay(200);
  
            radio.read( joystick, sizeof(joystick) );
            
            if (joystick[0] < 180  && joystick[0] > 1  )
            {
               /*
              Serial.print("Getting <<<<<<   ");
             Serial.print(joystick[0]);
             Serial.print(" / ");
             Serial.println(joystick[1]);
              */
              servoT.write(joystick[0]);
              servoB.write(joystick[1]);
             }
             
             
             
             if (joystick[0]==999 ){
                digitalWrite(vibrationPin, HIGH); 
                delay(300);
                digitalWrite(vibrationPin, LOW); 
                delay(50);
                digitalWrite(vibrationPin, HIGH); 
                delay(300);
                digitalWrite(vibrationPin, LOW); 
             }
   
  

    

  
}
