// PS2
#include <Adafruit_PS2_Trackpad.h>
#define PS2_DATA 2
#define PS2_CLK 3
Adafruit_PS2_Trackpad ps2(PS2_CLK, PS2_DATA);




// other stuff
int ledPin = A2;    // LED connected to digital A2
int counter=1;



/*
RF24 test transmitter
*/

#include <SPI.h>
#include "nRF24L01.h"
#include "RF24.h"
int joystick[2];
RF24 radio(7,8);


byte addresses[][6] = {"8Node","8Node"};
//byte addresses[][6] = {"3Node","3Node"};
//byte addresses[][6] = {"7Node","7Node"};
//const uint64_t pipe = 0xE8E8F0F0E1LL;








void setup() {
  

  Serial.begin(9600);
 

  
  
      analogWrite(ledPin, 255);delay (100);      
      analogWrite(ledPin, 0); delay (100);
      analogWrite(ledPin, 255);delay (100);      
      analogWrite(ledPin, 0); delay (100); 
      analogWrite(ledPin, 255);delay (100);      
      analogWrite(ledPin, 0); delay (100);
      analogWrite(ledPin, 255);delay (100);      
      analogWrite(ledPin, 0); delay (100); 
      
        for (float br = 0; br < 3800; br=br+10) {
                    analogWrite(ledPin, 0);
                    analogWrite(ledPin, 255);
                    delayMicroseconds(br); // Approximately 10% duty cycle @ 1KHz
                    analogWrite(ledPin, 0);
                    delayMicroseconds(2000);
          }


      // PS2 stuff
      /*
      if (ps2.begin()){
        Serial.println("Successfully found PS2 mouse device");
        }
      else{
        Serial.println("Did not find PS2 mouse device");
      }
      */
      while (!ps2.begin()){
        Serial.println("Did not find PS2 mouse device");
        delay (100);
      }
      
      Serial.println("Successfully found PS2 mouse device");
      Serial.print("PS/2 Mouse with ID 0x");
      Serial.println(ps2.readID(), HEX);
       
      
  pinMode(ledPin, OUTPUT);



 
  //Radio stuff
 radio.begin();
 radio.setAutoAck(1);                    // Ensure autoACK is enabled
  radio.setRetries(2,2);     
  
 //radio.openWritingPipe(pipe);
 radio.openWritingPipe(addresses[1]);
 radio.printDetails();
  
//delay (1000);

}


uint16_t lasttap_x = 0, lasttap_y = 0;

void loop() {
  


  if (! ps2.readData()) {
      if (counter % 2) {analogWrite(ledPin,255);}
      else{analogWrite(ledPin,0);}
      return;  
    }

  //int x=map(ps2.x,120,997, 5, 175 );
  //int y=map(ps2.y,88,741, 5, 175 );

/*
//33channel
//more +/- 90 numer more movement
  int x=map(ps2.x,120,997, 90-27, 90+18 );  // (right , left ) looking at faceing device front // more +/0- more numer more movement
  int y=map(ps2.y,88,741, 90-70, 90+25 );  // ( up , down )
*/

//88 channel
//more +/- 90 numer more movement

  int x=map(ps2.x,120,997, 90-16, 90+50 );  // (right , left ) looking at faceing device front // more +/0- more numer more movement
  int y=map(ps2.y,88,741, 90-70, 90+10 );  // ( up , down )
  
  
    joystick[0] = 180-x;
    joystick[1] = y;
       
       
  
// send double tap
    if (ps2.gesture && !ps2.finger)  {
              if ((lasttap_x == ps2.x) && (lasttap_y == ps2.y)) {
                //Serial.print("\tDouble tap!");            
                  joystick[0] = 999;
                  joystick[1] = 999;
                 analogWrite(ledPin, 255);
                  radio.write( joystick, sizeof(joystick) );
              }
               lasttap_x = ps2.x;
               lasttap_y = ps2.y;
      }
      else  if (x < 180  && x  &&  y < 180  && y ){
               analogWrite(ledPin, 255);
               
                  Serial.print("Sending >>>>");
                   Serial.print(joystick[0]);
                   Serial.print(" / ");
                   Serial.println(joystick[1]);
               analogWrite(ledPin, 0);
             radio.write( joystick, sizeof(joystick) );

            }
            else{
               analogWrite(ledPin, 0);
            }
}
